## rtpmp2tdepay rtpmp2tdepay |

## Properties

guint | skip-first-bytes | Read / Write

## Types and Values

struct | GstRtpMP2TDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpMP2TDepay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@gmail.com>, Thijs Vermeir <thijs.vermeir@barco.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)video, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string){ MP2T, MP2T-ES }
| application/x-rtp, media=(string)video, payload=(int)33, clock-rate=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | video/mpegts, packetsize=(int)188, systemstream=(boolean)true

## Functions

## Types and Values

### struct GstRtpMP2TDepay

    struct GstRtpMP2TDepay;

## Property Details

### The `“skip-first-bytes”` property

      “skip-first-bytes”         guint

The amount of bytes that need to be skipped at the beginning of the payload.

Flags: Read / Write

Default value: 0